#!/bin/sh
#BEGIN COPYRIGHT
#*************************************************************************
#
# Licensed Materials - Property of IBM
# 5725-C94
# (C) Copyright IBM Corporation 2007, 2011. All Rights Reserved.
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#
#*************************************************************************
#END COPYRIGHT

# isFederated.

# env
. $WAS_USER_SCRIPT

# Bootstrap values ...
SHELL=com.ibm.wbis.install.isFederated

# For debugging the launcher itself
# QWBI_DEBUG="-Djava.compiler=NONE -Xdebug -Xnoagent -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=7777"

# Setup the initial java invocation;

DELIM=" "

#Common args...
D_ARGS="-Dws.ext.dirs="$WAS_EXT_DIRS" $DELIM \
        -Dlocal.cell="$WAS_CELL" $DELIM \
        -Dlocal.node=$WAS_NODE $DELIM \
        -Dwas.install.root="$WAS_HOME" $DELIM \
        -Djava.util.logging.manager=com.ibm.ws.bootstrap.WsLogManager $DELIM \
        -Dwas.repository.root="$CONFIG_ROOT" $DELIM \
        -Djava.util.logging.configureByServer=true"
X_ARGS=-Xbootclasspath/p:"$WAS_BOOTCLASSPATH"

#Platform specific args...
PLATFORM=`/bin/uname`
case $PLATFORM in
  AIX)
    LIBPATH="$WAS_LIBPATH":$LIBPATH
    export LIBPATH ;;
  Linux)
    LD_LIBRARY_PATH="$WAS_LIBPATH":$LD_LIBRARY_PATH
    export LD_LIBRARY_PATH ;;
  SunOS)
    LD_LIBRARY_PATH="$WAS_LIBPATH":$LD_LIBRARY_PATH
    export LD_LIBRARY_PATH ;;
  HP-UX)
    SHLIB_PATH="$WAS_LIBPATH":$SHLIB_PATH
    export SHLIB_PATH ;;
  OS/390)
      D_ARGS=""$D_ARGS" $DELIM -Dfile.encoding=ISO8859-1 $DELIM -Djava.ext.dirs="$JAVA_EXT_DIRS""
      X_ARGS=""$X_ARGS" $DELIM -Xnoargsconversion" ;;
esac

#touch mdd.script.run

"$JAVA_HOME"/bin/java \
  $X_ARGS \
  $QWBI_DEBUG \
  $D_ARGS \
  -classpath "$WAS_CLASSPATH" \
  com.ibm.ws.bootstrap.WSLauncher \
  $SHELL  $*
